summaryrefslogtreecommitdiffstats
path: root/runtest-sentinel
diff options
context:
space:
mode:
Diffstat (limited to 'runtest-sentinel')
-rwxr-xr-xruntest-sentinel14
1 files changed, 14 insertions, 0 deletions
diff --git a/runtest-sentinel b/runtest-sentinel
new file mode 100755
index 0000000..60d8c3c
--- /dev/null
+++ b/runtest-sentinel
@@ -0,0 +1,14 @@
+#!/bin/sh
+TCL_VERSIONS="8.5 8.6 8.7"
+TCLSH=""
+
+for VERSION in $TCL_VERSIONS; do
+ TCL=`which tclsh$VERSION 2>/dev/null` && TCLSH=$TCL
+done
+
+if [ -z $TCLSH ]
+then
+ echo "You need tcl 8.5 or newer in order to run the Redis Sentinel test"
+ exit 1
+fi
+$TCLSH tests/sentinel/run.tcl $*